package com.steering.mes.mcp.entity;


/**
 * 数据库表YDM_BC_SUPERVISOR所对应的实体类（生成工具：代码生成器2.4）
 * @author DESKTOP-SA5N7PS   date 2020-04-08
 */
public class YdmBcSupervisorEntity {

    public String getStorageNo() {
        return storageNo;
    }

    public void setStorageNo(String storageNo) {
        this.storageNo = storageNo;
    }

    private String storageNo;

    public String getStorageName() {
        return storageName;
    }

    public void setStorageName(String storageName) {
        this.storageName = storageName;
    }

    private  String storageName;
    /**
     * 监装人代码
     */
    private String supervisorCode;
    /**
     * 监装人
     */
    private String supervisorName;
    /**
     * 联系方式
     */
    private String supervisorCall;
    /**
     * 产线代码
     */
    private String plineCode;
    /**
     * 产线
     */
    private String plineName;
    /**
     * 班组
     */
    private String colGroup;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 备注
     */
    private String memo;

    public YdmBcSupervisorEntity(){
        supervisorCode = "";
        supervisorName = "";
        supervisorCall = "";
        plineCode = "";
        plineName = "";
        colGroup = "";
        createName = "";
        createTime = "";
        memo = "";
    }

    /**
     * 监装人代码
     * @return value
     */
    public String getSupervisorCode() {
        return supervisorCode;
    }

    /**
     * 监装人代码
     * @param supervisorCode value
     */
    public void setSupervisorCode(String supervisorCode) {
        this.supervisorCode = supervisorCode;
    }

    /**
     * 监装人
     * @return value
     */
    public String getSupervisorName() {
        return supervisorName;
    }

    /**
     * 监装人
     * @param supervisorName value
     */
    public void setSupervisorName(String supervisorName) {
        this.supervisorName = supervisorName;
    }

    /**
     * 联系方式
     * @return value
     */
    public String getSupervisorCall() {
        return supervisorCall;
    }

    /**
     * 联系方式
     * @param supervisorCall value
     */
    public void setSupervisorCall(String supervisorCall) {
        this.supervisorCall = supervisorCall;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
}